> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# AliExpress product search

> Search AliExpress products by keyword: title, price, and image. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-aliexpress-product-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-aliexpress-product-search:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: AliExpress product search
      description: >-
        Search AliExpress products by keyword: title, price, and image. 1 point
        per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  description: Search term. e.g. wireless mouse
                  type: string
                max_items:
                  description: Max items (up to 250)
                  type: integer
                  minimum: 1
                  maximum: 250
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                  default: 1
                sort:
                  description: >-
                    Sort by. Options: orders = Orders, price_low_to_high =
                    Price: low to high, price_high_to_low = Price: high to low
                  type: string
                  enum:
                    - orders
                    - price_low_to_high
                    - price_high_to_low
                currency:
                  description: >-
                    Currency. Options: USD = USD, EUR = EUR, GBP = GBP, CAD =
                    CAD, AUD = AUD, RUB = RUB, BRL = BRL, CLP = CLP, JPY = JPY,
                    KRW = KRW, CHF = CHF, SEK = SEK, PLN = PLN, ILS = ILS, NOK =
                    NOK, DKK = DKK, NZD = NZD, MXN = MXN, COP = COP, TRY = TRY,
                    THB = THB, SGD = SGD, MYR = MYR, PHP = PHP, IDR = IDR, INR =
                    INR, VND = VND, HKD = HKD, TWD = TWD, AED = AED, SAR = SAR,
                    CZK = CZK, HUF = HUF, RON = RON, BGN = BGN, UAH = UAH, KZT =
                    KZT, ARS = ARS, EGP = EGP, ZAR = ZAR, CNY = CNY, PEN = PEN
                  type: string
                  enum:
                    - USD
                    - EUR
                    - GBP
                    - CAD
                    - AUD
                    - RUB
                    - BRL
                    - CLP
                    - JPY
                    - KRW
                    - CHF
                    - SEK
                    - PLN
                    - ILS
                    - NOK
                    - DKK
                    - NZD
                    - MXN
                    - COP
                    - TRY
                    - THB
                    - SGD
                    - MYR
                    - PHP
                    - IDR
                    - INR
                    - VND
                    - HKD
                    - TWD
                    - AED
                    - SAR
                    - CZK
                    - HUF
                    - RON
                    - BGN
                    - UAH
                    - KZT
                    - ARS
                    - EGP
                    - ZAR
                    - CNY
                    - PEN
                min_price:
                  description: Min price
                  type: number
                max_price:
                  description: Max price
                  type: number
                language:
                  description: >-
                    Content language. Options: ar_MA = ar_MA, de_DE = de_DE,
                    en_US = en_US, es_ES = es_ES, fr_FR = fr_FR, in_ID = in_ID,
                    it_IT = it_IT, iw_IL = iw_IL, ja_JP = ja_JP, ko_KR = ko_KR,
                    nl_NL = nl_NL, pl_PL = pl_PL, pt_BR = pt_BR, ru_RU = ru_RU,
                    th_TH = th_TH, tr_TR = tr_TR, vi_VN = vi_VN
                  type: string
                  enum:
                    - ar_MA
                    - de_DE
                    - en_US
                    - es_ES
                    - fr_FR
                    - in_ID
                    - it_IT
                    - iw_IL
                    - ja_JP
                    - ko_KR
                    - nl_NL
                    - pl_PL
                    - pt_BR
                    - ru_RU
                    - th_TH
                    - tr_TR
                    - vi_VN
                country:
                  description: Ship-to country. e.g. US
                  type: string
                ship_from:
                  description: Ship-from country. e.g. Any
                  type: string
                filters:
                  description: Attribute filters. e.g. Comma-separated
                  type: string
                free_shipping:
                  description: Free shipping
                  type: boolean
                choice:
                  description: AliExpress Choice
                  type: boolean
                four_star_and_up:
                  description: 4 stars & up
                  type: boolean
                local_shipping:
                  description: Local shipping
                  type: boolean
              required:
                - keyword
            example:
              keyword: wireless mouse
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  keyword:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  sort: {}
                  min_price: {}
                  max_price: {}
                  currency: {}
                  language: {}
                  country: {}
                  ship_from: {}
                  free_shipping:
                    type: boolean
                  choice:
                    type: boolean
                  four_star_and_up:
                    type: boolean
                  local_shipping:
                    type: boolean
                  filters:
                    type: array
                    items: {}
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@type':
                              type: string
                            id:
                              type: string
                            product_url:
                              type: string
                            product_title:
                              type: string
                            image:
                              type: string
                            images:
                              type: array
                              items:
                                type: string
                            price:
                              type: number
                            price_text:
                              type: string
                            original_price:
                              type: number
                            original_price_text:
                              type: string
                            currency: {}
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: aliexpress_product_search
                keyword: wireless mouse
                max_items: 2
                start_page: 1
                sort: null
                min_price: null
                max_price: null
                currency: null
                language: null
                country: null
                ship_from: null
                free_shipping: false
                choice: false
                four_star_and_up: false
                local_shipping: false
                filters: []
                partial: false
                human: |-
                  # AliExpress product search

                  - **Search term:** wireless mouse
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 1.62 MB
                machine:
                  total_items: 2
                  items:
                    - '@type': AliexpressSearchProduct
                      id: '3256812660562508'
                      product_url: >-
                        https://www.aliexpress.us/item/3256812660562508.html?algo_pvid=dacf4194-d4a7-4cc0-8fa6-b7bd728066ee&algo_exp_id=dacf4194-d4a7-4cc0-8fa6-b7bd728066ee-0&pdp_ext_f=%7B%22order%22%3A%224%22%2C%22eval%22%3
                      product_title: >-
                        Ultra Light Gaming Mouse Wireless 59g 12000DPI 3-Mode
                        Connection PAW3311 Sensor RGB Base Station Smart Display
                        Professional Mouse Gamer
                      image: >-
                        //ae-pic-a1.aliexpress-media.com/kf/Sb26b6722c2784df8a6d3b4e41252a083V.jpg_480x480q75.jpg_.avif
                      images:
                        - >-
                          //ae-pic-a1.aliexpress-media.com/kf/Sb26b6722c2784df8a6d3b4e41252a083V.jpg_480x480q75.jpg_.avif
                      price: 12.41
                      price_text: $12.41
                      original_price: 54.35
                      original_price_text: $54.35
                      currency: null
                    - '@type': AliexpressSearchProduct
                      id: '3256812760505425'
                      product_url: >-
                        https://www.aliexpress.us/item/3256812760505425.html?algo_pvid=dacf4194-d4a7-4cc0-8fa6-b7bd728066ee&algo_exp_id=dacf4194-d4a7-4cc0-8fa6-b7bd728066ee-1&pdp_ext_f=%7B%22order%22%3A%225%22%2C%22eval%22%3
                      product_title: >-
                        Rapoo VT9 MAX / VT9 Wireless Gaming Mouse True 8K
                        Wireless Polling Rate 53g Lightweight PAW3950/PAW3395
                        Sensor Up to 750 Hour Battery 10 Programmable Buttons
                        On-Board Memory Esports Laptop Gaming Mice
                      image: >-
                        //ae-pic-a1.aliexpress-media.com/kf/S853ba570aed6477ebb1df36230aea4d96.jpg_480x480q75.jpg_.avif
                      images:
                        - >-
                          //ae-pic-a1.aliexpress-media.com/kf/S853ba570aed6477ebb1df36230aea4d96.jpg_480x480q75.jpg_.avif
                      price: 21.44
                      price_text: $21.44
                      original_price: 73.15
                      original_price_text: $73.15
                      currency: null
                  proxy_traffic_bytes: 1697996
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````